<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('orders', function (Blueprint $table) {
            $table->dateTime('sentTime')->nullable()->after('orderStatus');
            $table->dateTime('confirmed')->nullable()->after('sentTime');
            $table->string('humanId')->nullable()->after('confirmed');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('orders', function (Blueprint $table) {
            $table->dropColumn('sentTime');
            $table->dropColumn('confirmed');
            $table->dropColumn('humanId');
        });
    }
};
